Freeciv-3.1: packet_unit_orders Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
packet_unit_orders Struct Reference

`#include <packets_gen.h>`

## Data Fields

int | unit_id16
int | unit_id32
int | src_tile
int | length
bool | repeat
bool | vigilant
struct unit_order | orders [MAX_LEN_ROUTE]
int | dest_tile

## Detailed Description

Definition at line 722 of file packets_gen.h.

## Field Documentation

## ◆ dest_tile

int packet_unit_orders::dest_tile

Definition at line 730 of file packets_gen.h.

Referenced by handle_unit_orders(), request_move_unit_direction(), request_orders_cleared(), request_unit_non_action_move(), send_connect_route(), send_packet_unit_orders_100(), send_packet_unit_orders_101(), and send_path_orders().

## ◆ length

int packet_unit_orders::length

Definition at line 726 of file packets_gen.h.

Referenced by handle_unit_orders(), order_recursive_roads(), request_move_unit_direction(), request_orders_cleared(), request_unit_non_action_move(), send_connect_route(), send_packet_unit_orders_100(), send_packet_unit_orders_101(), and send_path_orders().

## ◆ orders

struct unit_order packet_unit_orders::orders[MAX_LEN_ROUTE]

Definition at line 729 of file packets_gen.h.

Referenced by handle_unit_orders(), order_recursive_roads(), request_move_unit_direction(), request_unit_non_action_move(), send_connect_route(), send_packet_unit_orders_100(), send_packet_unit_orders_101(), and send_path_orders().

## ◆ repeat

bool packet_unit_orders::repeat

Definition at line 727 of file packets_gen.h.

Referenced by handle_unit_orders(), request_move_unit_direction(), request_orders_cleared(), request_unit_non_action_move(), send_connect_route(), send_packet_unit_orders_100(), send_packet_unit_orders_101(), and send_path_orders().

## ◆ src_tile

int packet_unit_orders::src_tile

Definition at line 725 of file packets_gen.h.

Referenced by handle_unit_orders(), request_move_unit_direction(), request_orders_cleared(), request_unit_non_action_move(), send_connect_route(), send_packet_unit_orders_100(), send_packet_unit_orders_101(), and send_path_orders().

## ◆ unit_id16

int packet_unit_orders::unit_id16

Definition at line 723 of file packets_gen.h.

Referenced by handle_unit_orders(), request_move_unit_direction(), request_orders_cleared(), request_unit_non_action_move(), send_connect_route(), send_packet_unit_orders_101(), and send_path_orders().

## ◆ unit_id32

int packet_unit_orders::unit_id32

Definition at line 724 of file packets_gen.h.

Referenced by handle_unit_orders(), request_move_unit_direction(), request_orders_cleared(), request_unit_non_action_move(), send_connect_route(), send_packet_unit_orders_100(), and send_path_orders().

## ◆ vigilant

bool packet_unit_orders::vigilant

Definition at line 728 of file packets_gen.h.

Referenced by handle_unit_orders(), request_move_unit_direction(), request_orders_cleared(), request_unit_non_action_move(), send_connect_route(), send_packet_unit_orders_100(), send_packet_unit_orders_101(), and send_path_orders().